Skip to main content
GET
/
api
/
v1
/
boards
/
{board_id}
/
specs
/
{spec_id}
/
sprints
List Sprints
curl --request GET \
  --url https://api.example.com/api/v1/boards/{board_id}/specs/{spec_id}/sprints \
  --header 'Authorization: Bearer <token>'
[
  {
    "board_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "id": "<string>",
    "spec_id": "<string>",
    "spec_version": 123,
    "status": "draft",
    "title": "<string>",
    "updated_at": "2023-11-07T05:31:56Z",
    "version": 123,
    "archived": false,
    "business_rule_ids": [
      "<string>"
    ],
    "description": "<string>",
    "end_date": "2023-11-07T05:31:56Z",
    "expected_outcome": "<string>",
    "labels": [
      "<string>"
    ],
    "objective": "<string>",
    "start_date": "2023-11-07T05:31:56Z",
    "test_scenario_ids": [
      "<string>"
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

board_id
string
required
spec_id
string
required

Response

Successful Response

board_id
string
required
created_at
string<date-time>
required
created_by
string
required
id
string
required
spec_id
string
required
spec_version
integer
required
status
enum<string>
required

Sprint lifecycle status.

Available options:
draft,
active,
review,
closed,
cancelled
title
string
required
updated_at
string<date-time>
required
version
integer
required
archived
boolean
default:false
business_rule_ids
string[] | null
description
string | null
end_date
string<date-time> | null
expected_outcome
string | null
labels
string[] | null
objective
string | null
start_date
string<date-time> | null
test_scenario_ids
string[] | null
Last modified on May 8, 2026